Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #757 (closed defect: worksforme)

Opened 13 years ago

Last modified 12 years ago

no IP when SSID broadcast is disabled

Reported by: gwieman@yahoo.com Assigned to:
Priority: major Milestone:
Component: madwifi: driver Version:
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

Setup:

  • Fujistu Lifebook E8010D,
  • onboard Atheros AR5212 802.11abg NIC (rev 01),
  • Ubuntu 6.06,
  • kernel 2.6.15-26-686,
  • latest kernel-restricted modules from Ubuntu (not sure of madwifi version contained within),
  • /lib/modules/2.6.15-26-686/madwifi (installed the update on 2006-07-13),
  • /lib/modules/2.6.15-26-686/madwifi-ng (installed the update on 2006-07-13),
  • access point: Linksys BEFW11S4 v2 (802.11b)

With the SSID broadcast disabled, Atheros card can not get IP even though wifi-radar says it is connected to the AP. As soon as I enable the SSID broadcast, the card can obtain an IP. I have another laptop, an NEC Versa SXi with a Linksys WPC11 wireless pc-card, that is able to obtain an IP whether the SSID broadcast is disabled or enabled. The Fujitsu does not have the disabled SSID broadcast problem when using Windows XP.

Also, entering wifi-radar or the network administration tool will cause a rescan (or something to happen) which switches the card to 802.11g and thereby temporarily losing connection to my 802.11b access point.

Thanks,

Gary

Attachments

messages (187.7 kB) - added by gwieman@yahoo.com on 07/19/06 05:19:47.

Change History

07/18/06 06:18:06 changed by mrenzmann

  • description changed.

Please provide a dump of the version information that is printed to the system log when MadWifi is loaded. Be sure to enclose them in {{{ and }}} to conserve formatting. Thanks.

07/19/06 05:19:47 changed by gwieman@yahoo.com

  • attachment messages added.

09/02/06 10:14:10 changed by anonymous

this is probably related to #698

gwieman@yahoo.com is probably using an old version of the BEFW11S4's firmware. If he upgrades to the newest version he won't be able to connect at all. The solution is to apply the patch given in #698.

07/17/07 15:26:04 changed by mtaylor

  • status changed from new to closed.
  • resolution set to worksforme.

This ticket has not been updated in over six months and is being marked as "works for me" automatically.

If the ticket is still applies to the head revision of trunk, please re-open the ticket and provide any additional details needed and progress on the problem to date. Thanks.